function initAppManPage(appArr)
{
	var maxAppNum = 6;
	var appIndex = 0;
	var modeTitle = "";
	for (var i = 0; i < maxAppNum; i++) {
		appIndex = i + 1;
		modeTitle = getModeTitle(appIndex, appArr);
		var pane = $("#pane_app_" + appIndex).ligerPanel({
			title: 'Test App #' + appIndex + " -- " + ((modeTitle.length != 0) ? modeTitle : "Not Assigned"),
			width: '800',
			height: '150'
		});
		if (modeTitle.length == 0)
			pane.collapse();
	}
}

function getModeTitle(appIndex, appArr) {
	for (var i = 0; i < appArr.length; i++) {
		if (appIndex == appArr[i][0])
			return appArr[i][1];
	}
	return "";
}

function onViewClick(appIndex, loc) {
	viewAppInNewTab(appIndex, loc);
}

function onAssignClick(appIndex) {
	var elem = document.getElementById('appindex');
	elem.value = appIndex;

	elem = document.getElementById('viewapp');
	elem.value = "off";

	submitForm('app_form');
}

function onReleaseClick(appIndex) {
	var elem = document.getElementById('appindex');
	elem.value = appIndex;

	elem = document.getElementById('viewapp');
	elem.value = "off";

	elem = document.getElementById('appman');
	elem.value = "list";

	var appForm = document.getElementById('app_form');

	var msg = "The interface is currently in use by Test App " + appIndex + ". Do you want ot release this interface ?"
	var dlg = $.ligerDialog.confirm(msg, function (yes)
	{
		if (yes) {
			var waitProc = $.ligerDialog.waitting('Releasing app, please wait ...');
			waitProc.set('title', 'Release App');
			setTimeout(function ()
			{
				waitProc.close();

				var _url = "appman.cgi?appman=release&appindex=" + appIndex;
				$.ligerDialog.open({
			        width: 350,
					height:150,
			        title: 'Release App',
			        name: 'dlg_release_app',
			        url: _url, 
			        showMax: false,
			        showToggle: false,
			        showMin: false,
			        isResize: false,
			        slide: false,
			        allowClose: true,
					buttons: [
						{ text: 'Close', onclick: function (item, dialog) {
							appForm.action = 'appman.cgi';
							appForm.submit();
							dialog.close();
							}
						}
					]
			    });
			}, 1000);
		}
	});
	dlg.set('title', 'Release App');
	dlg.set('width', 350);
	dlg.set('allowClose', false);
}

function viewAppInNewTab(appIndex, loc) {
	var user = document.getElementById('acc').value;
	var pwd = document.getElementById('pwd').value;
	var tabUrl = 'cgi-bin/remacc.cgi?viewapp=on&appindex=' + appIndex + '&acc=' + user + '&pwd=' + pwd;
	var tabText = 'Test Session' + ' - [' + 'App #' + appIndex + '] - [' + loc + ']';

	var mytab = parent.window.parent.window.$("#framecenter").ligerTab({
				width: "100%", height: "100%",
				showSwitchInTab: false,
				showSwitch: false,
				dblClickToClose: false,
				dragToMove: false,
				contextmenu: true });

	mytab.addTabItem({tabid: loc, text: tabText, url: tabUrl})
}

function viewAppInNewTabWithURL(appIndex, loc, url) {
	var tabUrl = url;
	var tabText = 'Test Session' + ' - [' + 'App #' + appIndex + '] - [' + loc + ']';

	var mytab = parent.window.parent.window.$("#framecenter").ligerTab({
				width: "100%", height: "100%",
				showSwitchInTab: false,
				showSwitch: false,
				dblClickToClose: false,
				dragToMove: false,
				contextmenu: true });

	mytab.addTabItem({tabid: loc, text: tabText, url: tabUrl})
}

function selectTestMode(_url) {
	$.ligerDialog.open({
        width: 600,
		height:800,
        title: 'Test Mode Selection',
        name: 'dlg_launch_app',
        url: _url,
        buttons: [
        	{ text: 'Submit', onclick: function (item, dialog) {
				dialog.close();
				},cls:'l-dialog-btn-highlight'
			},
			{ text: 'Cancel', onclick: function (item, dialog) {
				dialog.close();
				}
			}
		]
    });
}

function submitNewTestMode() {
	if ($("input[name='testmode']:checked").val() == null) {
		var dlg = $.ligerDialog.warn('Please select a test mode.');
		dlg.set('title', 'Test Mode Selection');
		dlg.set('width', 400);
		dlg.set('height', 50);
		return;
	}

	var form = document.getElementById('remacc_form');
	form.submit();
}

function submitForm(form_id) {
	var form = document.getElementById(form_id);
	form.submit();
}

function onAuthenticate(form_id) {
	var pwd = '';
	pwd = document.getElementById('pwd').value;
	if (pwd.length <= 0) {
		$.ligerDialog.open({
	        width: 400,
			height:50,
	        title: 'System Reset',
	        content: 'Please enter password.',
			buttons: [
				{ text: 'OK', onclick: function (item, dialog) {
					dialog.close();
					}
				}
			]
	    });
		return;
	}

	submitForm(form_id);
}

function onSysReboot() {
	var frame = document.getElementById('frame');
	frame.src = 'remreboot.cgi?reset=nc';
}
