var illegalCharset = "`~!";
var usergrid;
function onInitUserPages() {
	usergrid = $("#usergrid").ligerGrid({
        checkbox: true,
        columns: [
        { display: 'User Name', name: 'name', align: 'left', width: 345 },
        { display: 'UID', name: 'uid', align: 'right', width: 100 },
        { display: 'GID', name: 'gid', align: 'right', width: 100 },
        ], pageSize: 10, data: { Rows: userdata },
        height:500,
        selectRowButtonOnly: true,
        toolbarShowInLeft: false,
        groupColumnName:'group', groupColumnDisplay:'Group',
        toolbar: {
             items: [
				{ text: 'Add', click: addUser, img: '../images/user_add.png' },
				{ line: true },
				{ text: 'Delete', click: delUser, img: '../images/user_del.png' },
             ]
         },
    });
}

function submitNewUserConfig() {
	var elem = document.getElementById('uname');
	var uname_val = '';
	uname_val = trim(elem.value);
	if (uname_val.length <= 0) {
		elem.value = '';
		elem.focus();
		prompt('New User', 'User name can not be empty or space.');
		return;
	}

	if (isContainsIllegalCharset(uname_val)) {
		elem.focus();
		prompt('New User', 'Illegal character found in user name, allow only a-z, A-Z, 0-9 or _ to be entered.');
		return;
	}

	var pwd_val = '';
	elem = document.getElementById('passwd');
	pwd_val = trim(elem.value);
	if (pwd_val.length <= 0) {
		elem.focus();
		prompt('New User', 'User name can not be empty or space.');
		return;
	}

	if (isContainsIllegalCharset(pwd_val)) {
		elem.focus();
		prompt('New User', 'Illegal character found in password, allow only a-z, A-Z, 0-9 or _ to be entered.');
		return;
	}

	var cfm_pwd_val = '';
	elem = document.getElementById('confirm_passwd');
	cfm_pwd_val = elem.value;
	if (pwd_val != cfm_pwd_val) {
		prompt('New User', 'Password does not match, please confirm your password.');
		return;
	}

	var form = document.getElementById('new_usr_form');
	form.submit();
}

function trim(str) {
	return (str||"").replace(/^\s+|\s+$/g, "");
}

function isContainsIllegalCharset(str) {
	// match illegal charset except for: a-z or A-Z or 0-9 or _
	var reg = /^[a-zA-Z0-9_]{1,}$/g;
	if (str.match(reg) != null)
		return false;
	else
		return true;
}

function isContainsSpace(str) {
	return (str.indexOf(' ') >= 0);
}

function prompt(_title, _msg) {
	$.ligerDialog.open({
        width: 400,
		height:50,
        title: _title,
        content: _msg,
		buttons: [
			{ text: 'OK', onclick: function (item, dialog) {
				dialog.close();
				}
			}
		]
    });
}

function addUser() {
	var form = document.getElementById('usrman_form');
	document.getElementById('usrman').value = 'nconf';
	form.submit();
}

function delUser() {
	var rows = usergrid.getCheckedRows();
	if (rows.length <= 0)
		return;

    var uname_str = '';
    $(rows).each(function ()
    {
    	uname_str += this.name + ',';
    });

	// Remote last ','
	if (uname_str.length > 0)
		uname_str = uname_str.substr(0, uname_str.length - 1);

	$.ligerDialog.open({
        height:100,
        width: 400,
        title: 'Delete User',
        content: 'User[' + uname_str + '] will be deleted. Do you want to continue?', 
        allowClose: false,
        buttons: [
        	{ text: 'Yes', onclick: function (item, dialog) {
        			document.getElementById('usrman').value = 'del';
        			document.getElementById('sel_unames').value = uname_str;
					var form = document.getElementById('usrman_form');
					form.submit();
					dialog.close();
				}
			},
			{ text: 'No', onclick: function (item, dialog) {
					dialog.close();
					return;
				}
			}
		]
    });
}

function onInitNewUserConfig() {
	//$("#new_usr_form").ligerForm();
}

function keyDownAuth(ev) {
	if (ev.keyCode == 13) {
		document.getElementById('btn-ok').click();
	}
}
